Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.runtime
Class JDBCPersistenceManagerFactory

    java.lang.Object
      kodo.runtime.KodoPersistenceManagerFactory
          kodo.jdbc.runtime.JDBCPersistenceManagerFactory

All Implemented Interfaces:
  Serializable, PersistenceManagerFactory

Deprecated.

    public class JDBCPersistenceManagerFactory

extends KodoPersistenceManagerFactory

A Kodo 3.x backwards-compatible interface to persistence manager factories.

See Also:
  Serialized Form

Constructor Summary
`JDBCPersistenceManagerFactory(PersistenceManagerFactoryImpl pmf)` Deprecated.

Method Summary
`static PersistenceManagerFactory` | `getPersistenceManagerFactory(Map map)` Deprecated.
`FetchConfiguration` | `newFetchConfiguration(KodoPersistenceManager pm, FetchConfiguration fetch)` Deprecated.

Methods inherited from class kodo.runtime.KodoPersistenceManagerFactory
`addInstanceLifecycleListener, addTransferListener, close, equals, getConfiguration, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionPassword, getConnectionURL, getConnectionUserName, getDataStoreCache, getDataStoreCache, getDelegate, getDetachAllOnCommit, getIgnoreCache, getMapping, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManager, getPersistenceManager, getPersistenceManager, getPersistenceManager, getProperties, getQueryResultCache, getRestoreValues, getRetainValues, getUserObject, hashCode, isClosed, isPersistenceManagerServerRunning, isPersistenceServerRunning, joinPersistenceManagerServer, joinPersistenceServer, putUserObject, removeInstanceLifecycleListener, removeTransferListener, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionURL, setConnectionUserName, setDetachAllOnCommit, setIgnoreCache, setMapping, setMultithreaded, setNontransactionalRead, setNontransactionalWrite, setOptimistic, setRestoreValues, setRetainValues, startPersistenceManagerServer, startPersistenceServer, stopPersistenceManagerServer, stopPersistenceServer, supportedOptions`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCPersistenceManagerFactory

    public JDBCPersistenceManagerFactory(PersistenceManagerFactoryImpl pmf)

  Deprecated.

Method Detail

### getPersistenceManagerFactory

    public static PersistenceManagerFactory getPersistenceManagerFactory(Map map)

  Deprecated.

### newFetchConfiguration

    public FetchConfiguration newFetchConfiguration(KodoPersistenceManager pm,
                                                    FetchConfiguration fetch)

  Deprecated.
  Overrides:
    `newFetchConfiguration` in class `KodoPersistenceManagerFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.